stages:
  - pages

pages:
  image: node:18
  stage: pages
  cache:
    paths:
      - gatsby/node_modules/
      # Enables git-lab CI caching. Both .cache and public must be cached, otherwise builds will fail.
      - gatsby/.cache/
      - public/
  script:
    - rm -f -R public
    - cd gatsby
    - npm install
    - ./node_modules/.bin/gatsby build --prefix-paths
  artifacts:
    paths:
      - public
  rules:
    - if: '$CI_COMMIT_BRANCH == "main"'
      exists:
      - "album_catalog_index.db"
